For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet open orders
        • POSTCreate order
        • DELCancel all open orders
        • GETGet orders
        • POSTCreate batch of orders
        • DELCancel batch of orders by order IDs
        • GETGet order by client id
        • DELCancel open order by client order id
        • GETGet order
        • PUTModify order
        • DELCancel order
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceOrders

Cancel batch of orders by order IDs

DELETE
https://api.testnet.paradex.trade/v1/orders/batch
DELETE
/v1/orders/batch
$curl -X DELETE https://api.testnet.paradex.trade/v1/orders/batch \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "results": [
3 {
4 "account": "trader123",
5 "client_id": "client-order-789",
6 "id": "order-456abc",
7 "market": "BTC-USD-PERP",
8 "status": "QUEUED_FOR_CANCELLATION"
9 },
10 {
11 "account": "trader123",
12 "client_id": "client-order-790",
13 "id": "order-457def",
14 "market": "ETH-USD-PERP",
15 "status": "ALREADY_CLOSED"
16 },
17 {
18 "account": "trader456",
19 "client_id": "client-order-791",
20 "id": "order-458ghi",
21 "market": "SOL-USD-PERP",
22 "status": "QUEUED_FOR_CANCELLATION"
23 },
24 {
25 "account": "trader789",
26 "client_id": "client-order-792",
27 "id": "order-459jkl",
28 "market": "ADA-USD-PERP",
29 "status": "NOT_FOUND"
30 }
31 ]
32}
Queues cancellation for multiple orders by providing identifiers in a batch. The request body can contain either or both of: - `order_ids`: Array of order IDs assigned by Paradex - `client_order_ids`: Array of client-assigned order IDs ```json { "order_ids": ["order-id-1", "order-id-2"], "client_order_ids": ["client-id-1", "client-id-2"] } ``` Returns a 200 OK status code with detailed results for each order: ```json { "results": [ { "id": "order-id-1", "client_id": "client-id-X", "account": "account-1", "market": "BTC-USD-PERP", "status": "QUEUED_FOR_CANCELLATION" }, { "id": "order-id-2", "client_id": "client-id-Y", "account": "account-1", "market": "ETH-USD-PERP", "status": "ALREADY_CLOSED" }, { "id": "order-id-3", "client_id": "client-id-1", "account": "account-1", "market": "BTC-USD-PERP", "status": "QUEUED_FOR_CANCELLATION" }, { "client_id": "client-id-2", "status": "NOT_FOUND" } ] } ``` Each result includes: - `id`: Order ID (if the order was found) - `client_id`: Client order ID (if available) - `account`: Account that owns the order - `market`: Market of the order - `status`: One of: + `QUEUED_FOR_CANCELLATION`: Order was successfully queued for cancellation + `ALREADY_CLOSED`: Order was already in a closed state + `NOT_FOUND`: The order with the provided ID/client ID was not found Confirmation of cancellation will be sent via websocket or can be verified from GET /orders/:id endpoint. Orders that are already in a CLOSED state will be included in the response with status "ALREADY_CLOSED".
Was this page helpful?
Previous

Get order by client id

Next
Built with

Queues cancellation for multiple orders by providing identifiers in a batch.

The request body can contain either or both of:

  • order_ids: Array of order IDs assigned by Paradex
  • client_order_ids: Array of client-assigned order IDs
1{
2 "order_ids": ["order-id-1", "order-id-2"],
3 "client_order_ids": ["client-id-1", "client-id-2"]
4}

Returns a 200 OK status code with detailed results for each order:

1{
2 "results": [
3 {
4 "id": "order-id-1",
5 "client_id": "client-id-X",
6 "account": "account-1",
7 "market": "BTC-USD-PERP",
8 "status": "QUEUED_FOR_CANCELLATION"
9 },
10 {
11 "id": "order-id-2",
12 "client_id": "client-id-Y",
13 "account": "account-1",
14 "market": "ETH-USD-PERP",
15 "status": "ALREADY_CLOSED"
16 },
17 {
18 "id": "order-id-3",
19 "client_id": "client-id-1",
20 "account": "account-1",
21 "market": "BTC-USD-PERP",
22 "status": "QUEUED_FOR_CANCELLATION"
23 },
24 {
25 "client_id": "client-id-2",
26 "status": "NOT_FOUND"
27 }
28 ]
29}

Each result includes:

  • id: Order ID (if the order was found)
  • client_id: Client order ID (if available)
  • account: Account that owns the order
  • market: Market of the order
  • status: One of:
    • QUEUED_FOR_CANCELLATION: Order was successfully queued for cancellation
    • ALREADY_CLOSED: Order was already in a closed state
    • NOT_FOUND: The order with the provided ID/client ID was not found

Confirmation of cancellation will be sent via websocket or can be verified from GET /orders/:id endpoint.

Orders that are already in a CLOSED state will be included in the response with status “ALREADY_CLOSED”.

Authentication

Authorizationstring
API Key authentication via header

Request

Order IDs to cancel
client_order_idslist of stringsOptional
List of client order IDs to cancel
order_idslist of stringsOptional
List of order IDs to cancel

Response

List of cancellation results
resultslist of objects
List of cancellation results

Errors

400
Bad Request Error